org.apache.poi.xddf.usermodel

## Class XDDFPresetGeometry2D

- java.lang.Object
- - org.apache.poi.xddf.usermodel.XDDFPresetGeometry2D

-     @Beta
      public class XDDFPresetGeometry2D
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFPresetGeometry2D(org.openxmlformats.schemas.drawingml.x2006.main.CTPresetGeometry2D geometry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDDFGeometryGuide` | `addAdjustValue()`
    `XDDFGeometryGuide` | `getAdjustValue(int index)`
    `java.util.List<XDDFGeometryGuide>` | `getAdjustValues()`
    `PresetGeometry` | `getGeometry()`
    `protected org.openxmlformats.schemas.drawingml.x2006.main.CTPresetGeometry2D` | `getXmlObject()`
    `XDDFGeometryGuide` | `insertAdjustValue(int index)`
    `void` | `removeAdjustValue(int index)`
    `void` | `setGeometry(PresetGeometry preset)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFPresetGeometry2D

          protected XDDFPresetGeometry2D(org.openxmlformats.schemas.drawingml.x2006.main.CTPresetGeometry2D geometry)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.openxmlformats.schemas.drawingml.x2006.main.CTPresetGeometry2D getXmlObject()

    - #### getGeometry

          public PresetGeometry getGeometry()

    - #### setGeometry

          public void setGeometry(PresetGeometry preset)

    - #### addAdjustValue

          public XDDFGeometryGuide addAdjustValue()

    - #### insertAdjustValue

          public XDDFGeometryGuide insertAdjustValue(int index)

    - #### removeAdjustValue

          public void removeAdjustValue(int index)

    - #### getAdjustValue

          public XDDFGeometryGuide getAdjustValue(int index)

    - #### getAdjustValues

          public java.util.List<XDDFGeometryGuide> getAdjustValues()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.